﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DisplayASimpleMap.aspx.cs"
    Inherits="CSSamples.Samples.DisplayASimpleMap" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Display a Simple Map</title>
    <script type="text/javascript">
        var miniMapControl;
        var OnMapCreated = function (map) {
            miniMapControl = map.getControl('OverviewMap');
            miniMapControl.minimizeControl();
            map.events.register("zoomend", map, function () {
                var zoom = map.getZoom();
                if (zoom >= 6 && zoom <= 16) {
                    miniMapControl.maximizeControl();
                }
                else {
                    miniMapControl.minimizeControl();
                }
            });
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%">
    </cc1:Map>
    </form>
</body>
</html>
